OSX Catalina POD Not Working

dhtmldhtml Posts: 1,004

It all started with pod init failing. Something like this:

XCode: 'pod init' failing with ruby json “incompatible library version” error

I did many attempts including:

  • brew update && brew upgrade
  • rvm reinstall 2.7.0
  • $ brew tap --repair
  • $ brew doctor
  • brew uninstall openssl; brew uninstall openssl; brew install


I even went for these:

brew install rbenv ruby-build

# Add rbenv to bash so that it loads every time you open a terminal

echo 'if which rbenv > /dev/null; then eval "$(rbenv init -)"; fi' >> ~/.bash_profile

source ~/.bash_profile


# Install Ruby

rbenv install 2.7.1

rbenv global 2.7.1

ruby -v


Here is what solved it finally:

$ gem uninstall cocoapods

$ gem uninstall cocoapods-core

$ gem uninstall cocoapods-downloader

Reinstalling

$ gem install cocoapods


Here is my environment after the fix:

tony:~ dhtml$ defaults read loginwindow SystemVersionStampAsString

10.15.4

tony:~ dhtml$ rbenv -v

rbenv 1.1.2

tony:~ dhtml$ rbenv version

2.7.1 (set by /Users/tony/.rbenv/version)

tony:~ dhtml$ ruby -v

ruby 2.7.0p0 (2019-12-25 revision 647ee6f091) [x86_64-darwin19]

tony:~ dhtml$ pod --version

1.9.3

Sign In or Register to comment.